<?php
/*---------------------------------------------------------------*/
/*
    Titre : Régule la vitesse de téléchargement d'un fichier local                                                     
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1037
    Date dition     : 16 Fv 2019                                                                                        
    Date mise  jour : 14 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    - maintenance du code                                                                                                 
*/
/*---------------------------------------------------------------*/

     function regule_telechargement_local($chemin , $fichier , $vitesse){

     if(file_exists($chemin."/".$fichier) && is_file($chemin."/".$fichier)) { 
      header("Cache-control: private"); 
      header("Content-Type: application/octet-stream"); 
      header("Content-Length: ".filesize($chemin."/".$fichier)); 
      header("Content-Disposition: filename=$fichier"); 
      flush(); 
      $fd = fopen($chemin."/".$fichier, "r"); 
      while(!feof($fd)) { 
      echo fread($fd, round($vitesse*1024)); 
      flush(); 
      sleep(1); 
      } 
      fclose ($fd); 
      } 
    }
?>